AuthorityInformationAccess (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class AuthorityInformationAccess

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.AuthorityInformationAccess

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class AuthorityInformationAccess
      extends ASN1Object

  The AuthorityInformationAccess object.

       id-pe-authorityInfoAccess OBJECT IDENTIFIER ::= { id-pe 1 }

       AuthorityInfoAccessSyntax  ::=
            SEQUENCE SIZE (1..MAX) OF AccessDescription
       AccessDescription  ::=  SEQUENCE {
             accessMethod          OBJECT IDENTIFIER,
             accessLocation        GeneralName  }

       id-ad OBJECT IDENTIFIER ::= { id-pkix 48 }
       id-ad-caIssuers OBJECT IDENTIFIER ::= { id-ad 2 }
       id-ad-ocsp OBJECT IDENTIFIER ::= { id-ad 1 }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorityInformationAccess(AccessDescription description)`
    `AuthorityInformationAccess(ASN1ObjectIdentifier oid, GeneralName location)` create an AuthorityInformationAccess with the oid and location provided.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessDescription[]` | `getAccessDescriptions()`
    `static AuthorityInformationAccess` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorityInformationAccess

          public AuthorityInformationAccess(AccessDescription description)

    - #### AuthorityInformationAccess

          public AuthorityInformationAccess(ASN1ObjectIdentifier oid,
                                    GeneralName location)

      create an AuthorityInformationAccess with the oid and location provided.

  - ### Method Detail

    - #### getInstance

          public static AuthorityInformationAccess getInstance(java.lang.Object obj)

    - #### getAccessDescriptions

          public AccessDescription[] getAccessDescriptions()

      Returns:
        the access descriptions contained in this object.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`